Package org.eclipse.mat.report

## Interface Params.Html

Enclosing interface:
  Params

    public static interface Params.Html

Parameters specific to HTML reports.

No Implement:

### Field Summary

Fields
`static String` `COLLAPSED` Collapse this section in the HTML report if set to Boolean.TRUE.toString()
`static String` `IS_IMPORTANT` Used to emphasise a section.
`static String` `RENDER_DETAILS` Include embedded report details.
`static String` `SEPARATE_FILE` Used to specify this report should be in a separate HTML file.
`static String` `SHOW_HEADING` Whether to show a heading.
`static String` `SHOW_TABLE_HEADER` Whether to show a table header.
`static String` `SHOW_TOTALS` Whether to show totals for a table.

### Field Detail

#### COLLAPSED

    static final String COLLAPSED

Collapse this section in the HTML report if set to Boolean.TRUE.toString()

See Also:
  Constant Field Values

#### SEPARATE_FILE

    static final String SEPARATE_FILE

Used to specify this report should be in a separate HTML file. For the HTML outputter this is not inherited from outer Specs.

See Also:
  Constant Field Values

#### IS_IMPORTANT

    static final String IS_IMPORTANT

Used to emphasise a section. For example a possible memory leak. For the HTML outputter this is usually not inherited from outer Specs.

See Also:
  Constant Field Values

#### SHOW_TABLE_HEADER

    static final String SHOW_TABLE_HEADER

Whether to show a table header. Defaults to true.

See Also:
  Constant Field Values

#### SHOW_HEADING

    static final String SHOW_HEADING

Whether to show a heading. For the HTML outputter this is not inherited from outer Specs.

See Also:
  Constant Field Values

#### SHOW_TOTALS

    static final String SHOW_TOTALS

Whether to show totals for a table.

See Also:
  Constant Field Values

#### RENDER_DETAILS

    static final String RENDER_DETAILS

Include embedded report details. A result can have embedded details `DetailResultProvider`. If set to "false", those detail results are not included in the HTML output.

See Also:
  Constant Field Values